<?
function on_k($id)
{
$usk=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$id'"));
$us=$usk;
$t=time()-600;
if($usk['date_last']<=$t)
{
if($us['pol']==0)
{
if($usk['level']>=0 && $usk['level']<100)$img="user_female_offline.png";
}
else
{
if($usk['level']>=0 && $usk['level']<100)$img="user_male_offline.png";
}
}
else
{
if($us['pol']==0)
{
if($usk['level']>=0 && $usk['level']<100)$img="user_female.png";
}
else
{
if($usk['level']>=0 && $usk['level']<100)$img="user_male.png";
}
}
if(!empty($usk['iconka'])){
if($usk['pol']==1){$pref='male';}elseif($usk['pol']==0){$pref='female';}
if($usk['date_last']<=$t){$prefix='_off';}else{$prefix='';}
$img=''.$usk['iconka'].'_'.$pref.''.$prefix.'.png';
$papka='iconka';
}else{$papka='icons';}
echo "<img width='16' height='16' src='images/".$papka."/".$img."'/>";
}
if(!empty($usk['ikonka']))
{$img="$usk[ikonka].png";}



function time_left($tl)
{
$d=3600*24;
$day=floor($tl/$d);
$tl=$tl-($d*$day);

$hour=floor($tl/3600);
$tl=$tl-(3600*$hour);

$minute=floor($tl/60);
$tl=$tl-(60*$minute);

$second=floor($tl);

$dayt="".($day>0?"$day д. ":null)."";
$hourt="".($hour>0?"$hour ч. ":null)."";
$minutet="".($minute>0?"$minute м. ":null)."";
$secondt="".($second>0?"$second с. ":null)."";
if($day>0)
{
$minutet=NULL;
$secondt=NULL;
}
if($hour>0 && $day==0)
{
$secondt=NULL;
$dayt=NULL;
}
return "$dayt$hourt$minutet$secondt";
}

function rating($rating)
{
$t=floor($rating/1000000000000);
$g=floor($rating/1000000000);
$m=floor($rating/1000000);
$k=floor($rating/1000);
if($g!=0)
{
$g=$rating/1000000000;
$rating=round($g,1);
$rating="$rating g";
}
elseif($m!=0)
{
$m=$rating/1000000;
$rating=round($m,1);
$rating="$rating m";
}
elseif($t!=0)
{
$t=$rating/1000000000000;
$rating=round($t,1);
$rating="$rating t";
}
elseif($k!=0)
{
$k=$rating/1000;
$rating=round($k,1);
$rating="$rating k";
}
else $rating=(int)$rating;
return "$rating";
}

function rl($lr)
{
$llr=$lr+1;
if($llr==2)$lr=10;
elseif($llr==3)$lr=25;
elseif($llr==4)$lr=50;
elseif($llr==5)$lr=100;
elseif($llr==6)$lr=200;
elseif($llr==7)$lr=300;
else $lr=0;
return $lr;
}

function cpg($count)
{
$count=$count+1;
if($count==5)$cena=10;
elseif($count==6)$cena=25;
elseif($count==7)$cena=50;
elseif($count==8)$cena=100;
elseif($count==9)$cena=250;
elseif($count>=10)$cena=500;
else $cena=0;
return $cena;
}

function err_game($msg)
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelERROR'><span class='feedbackPanelERROR'>$msg</span></li></ul></div>";
}

function nc($id)
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$id'"));
$anku=$ank;
return "<span
class='nick".($ank['status']==1?"Supporter":null)."".($ank['status']==2?"Moderator":null)."".($ank['status']==3?"Admin":null)."'>$anku[nick]</span>";
}
function no_rubies($rubies)
{
echo "<div class='feedback'><ul><li class='title'>У Вас не хватает <span>золота</span>:<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>".floor($rubies)."</span></li><li></li><li><img width='16' height='16' src='images/icons/ruby.png' alt='o'>
<a href='?payment'>Купить</a></li><li><img width='16' height='16' src='images/icons/converter.png' alt='o'> <a href='?converter'>Обменять</a></li></ul></div>";
}

function no_money($money)
{
echo "<div class='feedback'><ul><li class='title'>У Вас не хватает <span>монет</span>:<img width='16' height='16' src='images/icons/money.png' alt='o'> <span>".floor($money)."</span></li><li></li><li><img width='16' height='16' src='images/icons/warehouse.png' alt='o'>
<a href='?warehouse'>Продать товар из склада</a></li><li><img width='16' height='16' src='images/icons/converter.png' alt='o'> <a href='?converter'>Обменять</a></li></ul></div>";
}

function hsc($text)
{
return htmlspecialchars($text);
}

function update_mc($rating)
{
global $mc,$mcu,$ku,$time;
if($mcu)
{
$rating=$rating*1.6;
mysql_query("UPDATE `kolhoz_collective` SET `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective_user` SET `rating` = '".($mcu['rating']+$rating)."' WHERE `id` = '$mcu[id]'");
mysql_query("INSERT INTO `kolhoz_collective_rating` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$rating', `time` = '$time'");
}
}

function podtv($yes_link,$no_link)
{
echo '<div class="event"><h1>Подтверждение</h1></div><div class="content"><ul class="block"><li><span class="title">Вы уверены?</span></li><li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="'.$yes_link.'"><span>Да, подтверждаю</span></a></li><li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="'.$no_link.'"><span>
Нет, отказываюсь</span></a></li></ul>';
}

function no_money_ct($money)
{
global $mc;
echo "<div class='feedback'>\n
<ul>\n
<li class='title'>В казне не хватает <span>монет</span>: <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>".floor($money)."</span></li>\n
<li>В казну может внести средства любой житель колхоза добровольно.</li>\n
<li><a href='?collective=$mc[id]&cash'>Пополнить казну</a></li>\n
</ul>\n
</div>\n";
}

function no_rubies_ct($rubies)
{
global $mc;
echo "<div class='feedback'>\n
<ul>\n
<li class='title'>В казне не хватает <span>золота</span>: <img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>".floor($rubies)."</span></li>\n
<li>В кассу может внести средства любой житель колхоза добровольно.</li>\n
<li><a href='?collective=$mc[id]&cash'>Пополнить казну</a></li>\n
</ul>\n
</div>\n";
}

function harvest($harvest)
{
echo "<div class='feedback'><img width='16' height='16' src='images/icons/seat.png' alt='o'>Урожай: <span>".floor($harvest)." шт.</span></div>";
}

function ratingg($rating)
{
echo "<div class='feedback'><img width='16' height='16' src='images/icons/experience.png' alt='o'>Опыт +<span>".floor($rating)."</span></div>";
}

function money($money)
{
global $mc,$ku,$mcu;
echo "<div class='feedback'><img width='16' height='16' src='images/icons/money.png' alt='o'>Доход: <span>".floor($money)." мон.</span>";
if($mc['nalog']>0)
{
$nmoney=floor(($money/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '0' WHERE `id` = '$ku[id]'");
echo " <span class='minor'>(колхозный налог <span><img
width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$nmoney</span></span>)</span>";
}
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '0' WHERE `id` = '$ku[id]'");
echo "</div>";
}

function msg_game($msg)
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>".hsc($msg)."</span></li></ul></div>";
}
function br($msg,$br='<br />'){return preg_replace("#((<br( ?/?)>)|\n|\r)+#i",$br, $msg);} // переносы строк


function my_esc($str){return mysql_real_escape_string($str);}


function links_preg1($arr)
{
global $set;

if (preg_match('#^http://'.preg_quote($_SERVER['HTTP_HOST']).'#',$arr[1]) || !preg_match('#://#',$arr[1]))
return '<a href="'.$arr[1].'">'.$arr[2].'</a>';
else
return '<a'.($set['web']?' target="_blank"':null).' href="http://'.$_SERVER['HTTP_HOST'].'/go.php?go='.base64_encode(html_entity_decode($arr[1])).'">'.$arr[2].'</a>';

}
function links_preg2($arr)
{
global $set;
if (preg_match('#^http://'.preg_quote($_SERVER['HTTP_HOST']).'#',$arr[2]))
return $arr[1].'<a href="'.$arr[2].'">'.$arr[2].'</a>'.$arr[4];
else
return $arr[1].'<a'.($set['web']?' target="_blank"':null).' href="http://'.$_SERVER['HTTP_HOST'].'/go.php?go='.base64_encode(html_entity_decode($arr[2])).'">'.$arr[2].'</a>'.$arr[4];
}
function links($msg)
{
global $set;
$msg=preg_replace_callback('/\[url=(.+)\](.+)\[\/url\]/isU', 'links_preg1', $msg); 
$msg=preg_replace_callback('~(^|\s)([a-z]+://([^ \r\n\t`\'"]+))(\s|$)~iu', 'links_preg2', $msg);
return $msg;
}

function output_text($str,$user=0)
{
$uk=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$user'"));
$str=htmlentities($str, ENT_QUOTES, 'UTF-8'); // преобразуем все к нормальному перевариванию браузером
$q=mysql_query("SELECT * FROM `kolhoz_smiles` ORDER BY `id` ASC");
while($post=mysql_fetch_array($q))
{
$n=explode(',',$post['name']);
$nn=NULL;
foreach($n as $key => $value)
{
$str=str_replace($value,"<img src='images/smiles/$post[img]' alt='o'/>",$str);
}
}
if($uk['status']>0)
{
$str=links($str); // обработка ссылок
$str="<span class='nick".($uk['status']==1?"Supporter":null)."".($uk['status']==2?"Moderator":null)."".($uk['status']==3?"Admin":null)."'>$str</span>";
$bbcode=array();
$bbcode['/\[img](.+)\[\/img\]/isU']='<img src="$1"/>';
$bbcode['/\[color=(.+)\](.+)\[\/color\]/isU']='<span style="color:$1">$2</span>';
$bbcode['/\[i\](.+)\[\/i\]/isU']='<i>$1</i>';
$bbcode['/\[s\](.+)\[\/s\]/isU']='<s>$1</s>';
$bbcode['/\[b\](.+)\[\/b\]/isU']='<b>$1</b>';
$bbcode['/\[u\](.+)\[\/u\]/isU']='<u>$1</u>';
$bbcode['/\[size=([0-9]+)\](.+)\[\/size\]/isU']='<span style="font-size:$1px;">$2</span>';
if (count($bbcode))$str= preg_replace(array_keys($bbcode), array_values($bbcode), $str);
}
$str=br($str); // переносы строк
return stripslashes($str); // возвращаем обработанную строку
}

function strlen2($str)
{
$rus=array('й','ц','у','к','е','н','г','ш','щ','з','х','ъ','ф','ы','в','а','п','р','о','л','д','ж','э','я','ч','с','м','и','т','ь','б','ю','Й','Ц','У','К','Е','Н','Г','Ш','Щ','З','Х','Ъ','Ф','Ы','В','А','П','Р','О','Л','Д','Ж','Э','Я','Ч','С','М','И','Т','Ь','Б','Ю');
return strlen(str_replace($rus, '0', $str));
}

function page($k_page=1){ // Выдает текущую страницу
$page=1;
if (isset($_GET['page'])){
if ($_GET['page']=='end')$page=intval($k_page);elseif(is_numeric($_GET['page'])) $page=intval($_GET['page']);}
if ($page<1)$page=1;
if ($page>$k_page)$page=$k_page;
return $page;}

function k_page($k_post=0,$k_p_str=10){ // Высчитывает количество страниц
if ($k_post!=0){$v_pages=ceil($k_post/$k_p_str);return $v_pages;}
else return 1;}

function str($link='?',$k_page=1,$page=1){ // Вывод номеров страниц (только на первый взгляд кажется сложно ;))
if ($page<1)$page=1;
echo "<div class=\"block\">\n";
if ($page!=1)echo "<a class='btnp' href=\"".$link."page=".($page-1)."\" title='Предыдущая страница (№".($page-1).")'>Сюда</a></span> ";else echo "<span class='emptyPanel pg'>сюда</span>";
echo "<span class='pag'> | </span>";
if ($page!=$k_page)echo " <a class='btnp' href=\"".$link."page=".($page+1)."\" title='Следующая страница (№".($page+1).")'>Туда</a>";else echo "<span class='emptyPanel pg'>туда</span>";
echo "<br />\n";
if ($page!=1)echo "<a class='btnp' href=\"".$link."page=1\" title='Первая страница'>[&lt;&lt;]<span class='pag'> | </span> </a>";
if ($page!=1)echo "<a class='btnp' href=\"".$link."page=1\" title='Страница №1'>[1]</a>";else echo "<span class='emptyPanel pg'>1</span>";
for ($ot=-3; $ot<=3; $ot++){
if ($page+$ot>1 && $page+$ot<$k_page){
if ($ot==-3 && $page+$ot>2)echo "<span class='pag'> | </span> ..";
if ($ot!=0)echo "<span class='pag'> | </span> <a class='btnp' href=\"".$link."page=".($page+$ot)."\" title='Страница №".($page+$ot)."'>".($page+$ot)."</a>";else echo "<span class='pag'> | </span><span class='emptyPanel pg'> ".($page+$ot)."</span>";
if ($ot==3 && $page+$ot<$k_page-1)echo "<span class='pag'> | </span> ..";}}
if ($page!=$k_page)echo "<span class='pag'> | </span> <a class='btnp' href=\"".$link."page=end\" title='Страница №$k_page'>$k_page</a>";elseif ($k_page>1)echo "<span class='pag'> | </span> <span class='emptyPanel pg'>$k_page</span>";
if ($page!=$k_page)echo "<span class='pag'> | </span><a class='btnp' href=\"".$link."page=end\" title='Последняя страница'> &gt;&gt;</a>";

echo "</div>\n";
}



function vremja($time=NULL)
{
global $user;
if ($time==NULL)$time=time();
if (isset($user))$time=$time+$user['set_timesdvig']*60*60;
$timep="".date("j M Y в H:i", $time)."";
$time_p[0]=date("j n Y", $time);
$time_p[1]=date("H:i", $time);
if ($time_p[0]==date("j n Y"))$timep=date("H:i:s", $time);
if (isset($user)){
if ($time_p[0]==date("j n Y", time()+$user['set_timesdvig']*60*60))$timep=date("H:i:s", $time);
if ($time_p[0]==date("j n Y", time()-60*60*(24-$user['set_timesdvig'])))$timep="Вчера в $time_p[1]";}
else{
if ($time_p[0]==date("j n Y"))$timep=date("H:i:s", $time);
if ($time_p[0]==date("j n Y", time()-60*60*24))$timep="Вчера в $time_p[1]";}
$timep=str_replace("Jan","Янв",$timep);
$timep=str_replace("Feb","Фев",$timep);
$timep=str_replace("Mar","Мар",$timep);
$timep=str_replace("May","Мая",$timep);
$timep=str_replace("Apr","Апр",$timep);
$timep=str_replace("Jun","Июн",$timep);
$timep=str_replace("Jul","Июл",$timep);
$timep=str_replace("Aug","Авг",$timep);
$timep=str_replace("Sep","Сен",$timep);
$timep=str_replace("Oct","Окт",$timep);
$timep=str_replace("Nov","Ноя",$timep);
$timep=str_replace("Dec","Дек",$timep);
return $timep;
}

function passgen($k_simb=8, $types=3) {
$password="";
$small="abcdefghijklmnopqrstuvwxyz";
$large="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
$numbers="1234567890";
mt_srand((double)microtime()*1000000); 
for ($i=0; $i<$k_simb; $i++) { 
$type=mt_rand(1,min($types,3));
switch ($type) {
case 3:
$password.=$large[mt_rand(0,25)];
break;
case 2:
$password.=$small[mt_rand(0,25)];
break;
case 1:
$password.=$numbers[mt_rand(0,9)];
break;
}
}
return $password;
}
$passgen=&passgen();

function minus_money($money)
{
global $ku;
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$money)."' WHERE `id` = '$ku[id]'");
return ($ku['money']-$money);
}

function minus_rubies($rubies)
{
global $ku;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$rubies)."' WHERE `id` = '$ku[id]'");
return ($ku['rubies']-$rubies);
}

function plus_money($money)
{
global $ku;
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$money)."' WHERE `id` = '$ku[id]'");
return ($ku['money']+$money);
}

function plus_rubies($rubies)
{
global $ku;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$rubies)."' WHERE `id` = '$ku[id]'");
return ($ku['rubies']+$rubies);
}

function update_ku($field,$value)
{
global $ku;
mysql_query("UPDATE `kolhoz_user` SET `".$field."` = '".$value."' WHERE `id` = '$ku[id]'");
return $value;
}
function get_user($ku_id=0)
{
if ($ku_id==0)
{
$ank2['id']=0;
$ank2['nick']='Почтовый сервис';
$ank2['level']=10;
$ank2['status']=3;
$ank2['dostup']=1;
$ank2['pol']=0;
return $ank2;
}
}
if($ku['mod']==1)
{
?>
<link rel="stylesheet" href="painte.css" type="text/css" />
<? 
echo '<div class="block">';
echo '<center><img src="/images/loginbg.png"></center></div><center><div class="block">Администрация еше не подтвердила вашу анкету.<br> Вас промодерируют в течении часа.</center>';
echo '</div>';
echo "<div class='block'><div style='text-align:center;'>Время: ".vremja($time)."</div></div>";
exit;
}
?>